# definitons for Sun Solaris 2.4

TIFFDIR = $(TOP)/tiff-v3.4/libtiff
TIFFINCL = -I$(TIFFDIR)
TIFFLIB = $(TIFFDIR)/libtiff.a

OPENWINHOME = /usr/openwin
XGLHOME     = /opt/SUNWits/Graphics-sw/xgl-3.0
MOTIFHOME   = /opt/SUNWmotif
MISSFUNC = -Dsqrtf=sqrt -Dexpf=exp -Dsinf=sin -Dcosf=cos -Dtanf=tan \
	   -Dasinf=asin -Dacosf=acos -Datanf=atan -Datan2f=atan2 -Dpowf=pow \
	   -Dfabsf=fabs -Dceilf=ceil

MCPPFLAGS = $(MISSFUNC) -D_SYSTYPE_SVR4 -I$(OPENWINHOME)/include -I$(XGLHOME)/include -I$(MOTIFHOME)/include
MCFLAGS  = -xO2 -dalign -Xa

RANLIB   = /bin/true
WAIT     = /bin/true
SHELL    = /bin/sh
CPP      = /usr/ccs/lib/cpp
CC       = /opt/SUNWspro/bin/cc

SGDEVDIR = x11 xgl no pov ps fm
SGDEVDEF = -DSG_DEV_X11 -DSG_DEV_XGL -DSG_DEV_NO -DSG_DEV_POV -DSG_DEV_PS -DSG_DEV_CPS -DSG_DEV_FM3 -DSG_DEV_FM4

PUDEVDIR = motif tty
PUDEVDEF = -DPU_DEV_MOTIF -DPU_DEV_TTY

IODEVDIR = motx11 motxgl ttyno
IODEVDEF = -DIO_DEV_MOTIF_X11 -DIO_DEV_MOTIF_XGL -DIO_DEV_MOTIF_XGL -DIO_DEV_TTY_NO

MOTIFDEF = -DFUNCPROTO

SYSLIB   = -L$(OPENWINHOME)/lib -L$(MOTIFHOME)/lib -L$(XGLHOME)/lib -L/opt/SUNWspro/SC2.0.1 -R $(OPENWINHOME)/lib:$(MOTIFHOME)/lib:$(XGLHOME)/lib -lxgl -lXm -lXt -lgen -lX11 -ldga -ldl -lnsl -lm

TOOLSDIR = $(TOP)/tools
SGDIR    = $(TOP)/sg
